#!/usr/bin/env python
import sys
import os
from lxml.html import fromstring, tostring
from engine import process

DEFAULT_ENCODING='utf8'

def sanitize_html_bytestream(stream):
    root=fromstring(stream.decode(DEFAULT_ENCODING, 'replace'))
    return tostring(process(root), encoding=DEFAULT_ENCODING)

def main():
    stream=sys.stdin.read()
    res=sanitize_html_bytestream(stream)
    print(res)

if __name__ == '__main__':
    try:
        main()
    except:
        print("An error occured.")
